Error, Graphics card or driver does not support shader model 2.0

First Riot Post
Comment below rating threshold, click here to show it.

Misteh

Member

11-14-2010

This problem is most likely not your graphics card, it's a Riot error. Same problem here.


Comment below rating threshold, click here to show it.

schulzz

This user has referred a friend to League of Legends, click for more information

Senior Member

11-15-2010

so how do we resolve this then? I already update my driver, and chck that my VC could suport 2.0


Comment below rating threshold, click here to show it.

Silents Assassin

Junior Member

11-15-2010

yeah am i have been playing L.O.L for months and today i tryed to play it on my computer but then it says this "An unknown directx error has occured. Please make sure your video card supports shader model 2.0 and that is using drivers from the manufacure" anyone knows why? i need some help


Comment below rating threshold, click here to show it.

schulzz

This user has referred a friend to League of Legends, click for more information

Senior Member

11-16-2010

so what are the possible solutions here? no feed back yet from the admins


Comment below rating threshold, click here to show it.

Silents Assassin

Junior Member

11-16-2010

can anyone help me here? id what is the problem i mean my comp was fien before now i cant play?


Comment below rating threshold, click here to show it.

Osirrian

Junior Member

12-02-2010

Yeah this is moronic. I play World Of Warcraft and it runs perfectly fine... I shouldnt be having problems with an obsolete game like LoL


Comment below rating threshold, click here to show it.

CrimsonWolfFang

Senior Member

12-03-2010

i dont understand the graphics situation..i have a pci express x16 9800gt geforce xlr8 performance edition...so why cant i get the shadar 2.0 an play again?


Comment below rating threshold, click here to show it.

Sw1tch13lade

Senior Member

12-03-2010

You need a new graphics card, if shader 2.0 isn't supported, your out of luck.


Comment below rating threshold, click here to show it.

ItsSlippery

Junior Member

12-04-2010

I didnt check how old this forum is
But I see a lot of people saying buy a new graphics card
But I have this problem now after updating my graphics card from the nvidia site. I did NOT have this problem yesturday when I was playing.


Comment below rating threshold, click here to show it.

goldensuns

Junior Member

12-09-2010

i dont get it it keeps saying my graphics dont support shade 2.0 but i can run wow cata wit extreme graphic settings and i got a 12600 gt xfx nivid